Subject: Re: HTTP Header Compaction Results

From: Mark Nottingham <[email-masked]>
Date: Sat, 3 Nov 2012 09:55:24 -0400

OK, I've put a few up at:
  https://github.com/http2/http_samples

Contributions welcome. I've punted on the TLS interception, so those sites that require it aren't represented, for the time being.

Next step, I think, is to get some infrastructure going that turns the HAR files into input streams for various compression algorithm implementations, both under optimistic (e.g., combining many connections) and pessimistic (e.g., no connection combination) conditions.

Cheers,

On 22/10/2012, at 12:26 PM, RUELLAN Herve <[email-masked]> wrote:

> Hi all,
> 
> We are currently studying the compaction results for different header encoding formats, including various SPDY versions and an internally developed format (we plan to publish its description as soon as possible).
> 
> We are wondering whether anyone is aware of a test corpus for HTTP exchanges that would be available, or could be made available. This would help us obtaining fair and realistic results.
> 
> Currently we are using web pages obtained from Alexa's top ranked sites. While computing our results, we are taking into account several parameters: separate study of requests and responses, using deflate or not (when relevant), variable number of exchanged messages (corresponding to loading from 1 to 10 web pages). Any advice on these measurements would be appreciated.
> 
> Last, we would like to share our results to help the WG discussions on this topic. As we're rather new to the IETF, we're not sure of the best way to do this. I plan to attend the IEFT 85 meeting in Atlanta, so I could use this occasion to share these results.
> 
> Regards,
> 
> Hervé
> 

--
Mark Nottingham   http://www.mnot.net/